<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content">
  <div class="main-unit-approved__right content-header" *ngIf="objFunction.approve">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='BtnCancelHasBorder' (click)="approveItems()"
      [mbIsDisable]="isLoadingPage" mbButtonText="{{'common.button.approved' | translate}}"></mb-button>
    <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="approveAllItems()"
      [mbIsDisable]="isLoadingPage" mbButtonText="{{'common.button.approvedAll' | translate}}"></mb-button>
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='GRAY' mbButtonType="NO_BORDER" (click)="rejectItem()" [mbIsDisable]="isLoadingPage"
      mbButtonText="{{'common.button.reject' | translate}}"></mb-button>
  </div>

  <nz-card class="main-unit-approved-card">
    <div nz-row class="main-unit-approved-card__row">
      <div nz-col nzSpan="6">
        <mb-input-text (mbClick)="showPopup()"
        mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate}}"
        mbLabelText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate}}" [(ngModel)]="orgName"
        [mbReadOnly]="true"></mb-input-text>
        <em *ngIf="orgName" nz-icon class="icon-close" (click)="clearOrgInput()" nzType="close-circle"
          nzTheme="outline"></em>
      </div>
      <div nz-col nzSpan="6" class="main-unit-approved-card__row--col">
          <mb-input-text [(ngModel)]="textSearchDesc"
          mbPlaceholderText="{{'modelOrganization.placeHoder.reasonOrg' | translate}}"
          mbLabelText="{{'modelOrganization.label.reasonOrg' | translate}}"></mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="main-unit-approved-card__row--col">
        <mb-select [mbDataSelects]="listType" mbKeyLabel="name" mbKeyValue="id"
            mbLabelText="{{'modelOrganization.label.type'| translate}}" [mbOptionHeightPx]="55"
            [(ngModel)]="selectedType"></mb-select>
      </div>
      <div nz-col nzSpan="6" class="main-unit-approved-card__row--col">
        <mb-button mbButtonSize='LARGE' mbButtonAvailableStyle='CUSTOM' mbButtonType="NO_BORDER" (click)="searchOrganizationList()"
        mbButtonText="{{'modelOrganization.button.search' | translate}}"></mb-button>
      </div>
    </div>
  </nz-card>
  <div class="approve-form">
    <form [formGroup]="commentForm">
      <div>
        <mb-input-text formControlName="comment" [mbShowFlexEnd]="false" [mbMaxLength]="400" [mbIsTextAre]="true" [mbConfig]="{rows:2, autoSize:{ minRows: 2, maxRows: 2 }}"
          [mbType]="submit && commentForm.controls['comment'].errors ? 'error' : 'default'"
          [mbShowError]="submit && commentForm.controls['comment'].errors != null"
          [mbErrors]="commentForm.controls['comment'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'modelOrganization.validate.reasonReject' | translate }]"
          mbPlaceholderText="{{'modelOrganization.placeHoder.commentApprove' | translate }}">
        </mb-input-text>
        <div class="max-length-input"><span>{{commentForm.value.comment.length}}/400</span></div>
      </div>
    </form>
  </div>
  <div class="ant-table-content">
  <nz-table #expandTable [nzData]="listUnitApprove" [nzScroll]="listUnitApprove?.length > 7 ? { y: '450px' } : {}" [nzSize]="TABLE_SIZE"
    [nzPageSize]="total" [nzShowPagination]="false" nzTableLayout="fixed">
    <thead>
      <tr>
        <th scope="col" nzWidth="120px" [nzShowCheckbox]="true" [nzChecked]="checked"
          (nzCheckedChange)="onAllChecked($event)" nzLeft>
        </th>
        <th scope="col" nzLeft>{{'modelOrganization.table.unitName' | translate}}</th>
        <th scope="col" >{{'modelOrganization.table.reason' | translate}}</th>
        <th scope="col">{{'modelOrganization.table.type' | translate}}</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of listUnitApprove; let i = index; trackBy:trackByFn">
          <td [nzChecked]="setOfCheckedId.has(item.orgId)" (nzCheckedChange)="onItemChecked(item.orgId,item, $event)"
          [ngClass]="(item.style === 0 && i !==0) ? 'parent-org' : ''" nzLeft>
        </td>
        <td (dblclick)="redrirectToDetail(item)" [ngClass]="(item.style === 0 && i !==0) ? 'parent-org' : ''" nzLeft>
          <div paddingOrg [padding]="item.style">
            {{item.orgName}}
          </div>
        </td>
        <td [ngClass]="(item.style === 0 && i !==0) ? 'parent-org' : ''">
          {{ item.reason }}
        </td>
        <td [ngClass]="(item.style === 0 && i !==0) ? 'parent-org' : ''">
          {{ renderType(item.inputType) }}
        </td>
      </tr>
    </tbody>
  </nz-table>
  </div>
</div>
